Packages - Bug #3159

Bug # 3404 (confirmed): pacman hooks with hard-coded systemd-isms print error messages on openrc systems

qcr: systemctl: command not found
2022-01-15 02:16 PM - maddox

Status: confirmed % Done: 0%
Priority: bug

Assignee:

Category:

Description

| can see this during upgrade on OpenRC Parabola:

(146/694) upgrading gcr [H#H#HFHHHFHHEFHSERAHHE
HEAEHH AR ERE] 1008

/tmp/alpm_5idXnr/.INSTALL: line 14: systemctl: command not found

error: command failed to execute correctly

History

#1 - 2022-01-29 04:47 PM - oaken-source

- Status changed from unconfirmed to info needed

looking at the upstream .INSTALL file for gcr here:
https://github.com/archlinux/svntogit-packages/blob/packages/gcr/trunk/ger.install

it seems that arch has decided to enable systemd sockets for the package automatically. on openrc, these steps will fail, but this appears to be
benign. Does the gcr package itself behave correctly after installation?

Oh, | just noticed -- does the installation actually complete, or does it stop with the output you quoted above? that would be a more serious issue.

#2 - 2022-12-21 06:13 PM - bill-auger
- Parent task set to #3404

- Status changed from info needed to confirmed

this affects multiple/arbitrary packages - these appear to be harnmless - though presumably some service (something) will not be initialized (restarted,
or something) properly

#3 - 2022-12-21 06:14 PM - bill-auger

- Description updated
